import commonjs from "@rollup/plugin-commonjs";
import resolve from "@rollup/plugin-node-resolve";
import babel from "rollup-plugin-babel";
import {
  default as external,
  default as peerDepsExternal,
} from "rollup-plugin-peer-deps-external";
import postcss from "rollup-plugin-postcss";
import { terser } from "rollup-plugin-terser";
import typescript from "rollup-plugin-typescript";
import packageJson from "./package.json";
// eslint-disable-next-line import/no-anonymous-default-export
export default [
  {
    input: "./src/index.ts",
    output: [
      {
        ffile: packageJson.main,
        format: "cjs",
      },
      {
        file: packageJson.module,
        format: "esm",
      },
    ],
    plugins: [
      postcss({
        plugins: [],
        minimize: true,
      }),
      babel({
        exclude: "node_modules/**",
        presets: ["@babel/preset-react"],
      }),
      peerDepsExternal(),
      external(),
      resolve(),
      commonjs(),
      typescript(),
      terser(),
    ],
  },
];
